> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.navipartner.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.navipartner.com/_mcp/server.

# Get Points Transactions

GET https://api.npretail.app/{tenant}/{environment}/{company}/membership/{membershipId}/points/transactions

Retrieves the points transaction ledger entries for a membership with pagination. Supports filtering by entry type and date.

Reference: https://docs.navipartner.com/apis/api-reference/memberships/service-points/get-points-transactions

## Authentication

- `x-np-api-key` header (required) — API Key authentication via header

## Request

### Path parameters

- `tenant` (string, required) — Your Entra Tenant ID. [More details.](/paths#1-tenant)
- `environment` (string, required) — Your Business Central Environment. [More details.](/paths#2-environment)
- `company` (string, required) — Your Business Central Company. [More details.](/paths#3-company)
- `membershipId` (UUID, required) — Unique identifier for a membership.

### Query parameters

- `entryType` (string, optional) — Filter by entry type (e.g., "Sale", "Refund", "Withdrawal", "Deposit").
- `date` (string, optional) — Filter by posting date. Supports BC filter syntax (e.g., "2025-01-01..2025-12-31").
- `pageSize` (integer, optional)
- `pageKey` (string, optional)

## Response

### 200

- `morePages` (boolean, required) — Indicates whether there are additional pages of results available.
- `nextPageKey` (string, required) — A pagination token to use in subsequent requests to retrieve the next page.
- `nextPageURL` (string, required) — A complete URL to retrieve the next page of results.
- `data` (list of PointsTransactionEntry, required)

## Types

### PointsTransactionEntry

Represents a single entry in the points transaction ledger for a membership.

- `entryType` (enum, required) — The type of the point entry.
  - Allowed values: `Sale`, `Refund`, `Withdrawal`, `Deposit`, `Expired`, `Synchronization`, `Reserve`, `Capture`, `Cancelled`
- `date` (date, required) — The posting date of the entry.
- `loyaltyCode` (string, required) — The loyalty program code.
- `externalReferenceNo` (string, required) — The document reference number (e.g., receipt number).
- `externalSystemIdentifier` (string, required) — The identifier of the system that created the entry (e.g., POS Store Code).
- `externalSystemUserIdentifier` (string, required) — The user identifier in the system that created the entry (e.g., POS Unit Code).
- `points` (integer, required) — Net points change for this entry.
- `awardedPoints` (integer, required) — Points awarded in this entry.
- `redeemedPoints` (integer, required) — Points redeemed in this entry.
- `amountInclVAT` (double, required) — The transaction amount including VAT in system currency.
- `item` (string, required) — The item number associated with this entry.
- `variantCode` (string, required) — The variant code of the item.
- `quantity` (double, required) — The quantity of the item in this entry.
- `description` (string, required) — A description of the entry.
- `id` (UUID, required) — The unique system identifier of the entry.

## Examples

**Response**

```json
{
  "morePages": true,
  "nextPageKey": "c29tZSBiYXNlNjQgc3RyaW5n",
  "nextPageURL": "https://api.npretail.app/tenant/env/company/membership/550e8400-e29b-41d4-a716-446655440000/pointstransactions?pageKey=c29tZSBiYXNlNjQgc3RyaW5n",
  "data": [
    {
      "entryType": "Sale",
      "date": "2025-06-23",
      "loyaltyCode": "LOYALTY01",
      "externalReferenceNo": "POS-585298329",
      "externalSystemIdentifier": "STORE01",
      "externalSystemUserIdentifier": "POS01",
      "points": 150,
      "awardedPoints": 150,
      "redeemedPoints": 0,
      "amountInclVAT": 1200.5,
      "item": "I52892",
      "variantCode": "V9529",
      "quantity": 1,
      "description": "Purchase of items in a POS sale",
      "id": "68e3ce0f-a5ec-f011-b3a5-ab8f942b8604"
    }
  ]
}
```

**SDK Code**

```python Get points transactions
import requests

url = "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/cdef7890-abcd-0123-1234-567890abcdef/points/transactions"

querystring = {"entryType":"Sale","pageSize":"50"}

headers = {"x-np-api-key": "<NaviPartner API Key>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Get points transactions
const url = 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/cdef7890-abcd-0123-1234-567890abcdef/points/transactions?entryType=Sale&pageSize=50';
const options = {method: 'GET', headers: {'x-np-api-key': '<NaviPartner API Key>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Get points transactions
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/cdef7890-abcd-0123-1234-567890abcdef/points/transactions?entryType=Sale&pageSize=50"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-np-api-key", "<NaviPartner API Key>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Get points transactions
require 'uri'
require 'net/http'

url = URI("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/cdef7890-abcd-0123-1234-567890abcdef/points/transactions?entryType=Sale&pageSize=50")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-np-api-key"] = '<NaviPartner API Key>'

response = http.request(request)
puts response.read_body
```

```java Get points transactions
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/cdef7890-abcd-0123-1234-567890abcdef/points/transactions?entryType=Sale&pageSize=50")
  .header("x-np-api-key", "<NaviPartner API Key>")
  .asString();
```

```php Get points transactions
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/cdef7890-abcd-0123-1234-567890abcdef/points/transactions?entryType=Sale&pageSize=50', [
  'headers' => [
    'x-np-api-key' => '<NaviPartner API Key>',
  ],
]);

echo $response->getBody();
```

```csharp Get points transactions
using RestSharp;

var client = new RestClient("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/cdef7890-abcd-0123-1234-567890abcdef/points/transactions?entryType=Sale&pageSize=50");
var request = new RestRequest(Method.GET);
request.AddHeader("x-np-api-key", "<NaviPartner API Key>");
IRestResponse response = client.Execute(request);
```

```swift Get points transactions
import Foundation

let headers = ["x-np-api-key": "<NaviPartner API Key>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/cdef7890-abcd-0123-1234-567890abcdef/points/transactions?entryType=Sale&pageSize=50")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```